Package org.snpsift.antlr

# Interface SnpSiftListener

All Superinterfaces:
  `org.antlr.v4.runtime.tree.ParseTreeListener`

All Known Implementing Classes:
  `SnpSiftBaseListener`

public interface SnpSiftListener extends org.antlr.v4.runtime.tree.ParseTreeListener
This interface defines a complete listener for a parse tree produced by `SnpSiftParser`.

## Method Summary

Modifier and Type
Method
Description
`void`
`enterCompilationUnit(SnpSiftParser.CompilationUnitContext ctx)`
Enter a parse tree produced by `SnpSiftParser.compilationUnit()`.
`void`
`enterExpressionComp(SnpSiftParser.ExpressionCompContext ctx)`
Enter a parse tree produced by the `expressionComp` labeled alternative in `SnpSiftParser.expression()`.
`void`
`enterExpressionCond(SnpSiftParser.ExpressionCondContext ctx)`
Enter a parse tree produced by the `expressionCond` labeled alternative in `SnpSiftParser.expression()`.
`void`
`enterExpressionExists(SnpSiftParser.ExpressionExistsContext ctx)`
Enter a parse tree produced by the `expressionExists` labeled alternative in `SnpSiftParser.expression()`.
`void`
`enterExpressionLogic(SnpSiftParser.ExpressionLogicContext ctx)`
Enter a parse tree produced by the `expressionLogic` labeled alternative in `SnpSiftParser.expression()`.
`void`
`enterExpressionParen(SnpSiftParser.ExpressionParenContext ctx)`
Enter a parse tree produced by the `expressionParen` labeled alternative in `SnpSiftParser.expression()`.
`void`
`enterExpressionPlus(SnpSiftParser.ExpressionPlusContext ctx)`
Enter a parse tree produced by the `expressionPlus` labeled alternative in `SnpSiftParser.expression()`.
`void`
`enterExpressionSet(SnpSiftParser.ExpressionSetContext ctx)`
Enter a parse tree produced by the `expressionSet` labeled alternative in `SnpSiftParser.expression()`.
`void`
`enterExpressionTimes(SnpSiftParser.ExpressionTimesContext ctx)`
Enter a parse tree produced by the `expressionTimes` labeled alternative in `SnpSiftParser.expression()`.
`void`
`enterExpressionUnary(SnpSiftParser.ExpressionUnaryContext ctx)`
Enter a parse tree produced by the `expressionUnary` labeled alternative in `SnpSiftParser.expression()`.
`void`
`enterFunctionCall(SnpSiftParser.FunctionCallContext ctx)`
Enter a parse tree produced by the `functionCall` labeled alternative in `SnpSiftParser.expression()`.
`void`
`enterLiteralBool(SnpSiftParser.LiteralBoolContext ctx)`
Enter a parse tree produced by the `literalBool` labeled alternative in `SnpSiftParser.expression()`.
`void`
`enterLiteralFloat(SnpSiftParser.LiteralFloatContext ctx)`
Enter a parse tree produced by the `literalFloat` labeled alternative in `SnpSiftParser.expression()`.
`void`
`enterLiteralIndex(SnpSiftParser.LiteralIndexContext ctx)`
Enter a parse tree produced by the `literalIndex` labeled alternative in `SnpSiftParser.expression()`.
`void`
`enterLiteralInt(SnpSiftParser.LiteralIntContext ctx)`
Enter a parse tree produced by the `literalInt` labeled alternative in `SnpSiftParser.expression()`.
`void`
`enterLiteralString(SnpSiftParser.LiteralStringContext ctx)`
Enter a parse tree produced by the `literalString` labeled alternative in `SnpSiftParser.expression()`.
`void`
`enterVarReference(SnpSiftParser.VarReferenceContext ctx)`
Enter a parse tree produced by the `varReference` labeled alternative in `SnpSiftParser.expression()`.
`void`
`enterVarReferenceList(SnpSiftParser.VarReferenceListContext ctx)`
Enter a parse tree produced by the `varReferenceList` labeled alternative in `SnpSiftParser.expression()`.
`void`
`enterVarReferenceListSub(SnpSiftParser.VarReferenceListSubContext ctx)`
Enter a parse tree produced by the `varReferenceListSub` labeled alternative in `SnpSiftParser.expression()`.
`void`
`exitCompilationUnit(SnpSiftParser.CompilationUnitContext ctx)`
Exit a parse tree produced by `SnpSiftParser.compilationUnit()`.
`void`
`exitExpressionComp(SnpSiftParser.ExpressionCompContext ctx)`
Exit a parse tree produced by the `expressionComp` labeled alternative in `SnpSiftParser.expression()`.
`void`
`exitExpressionCond(SnpSiftParser.ExpressionCondContext ctx)`
Exit a parse tree produced by the `expressionCond` labeled alternative in `SnpSiftParser.expression()`.
`void`
`exitExpressionExists(SnpSiftParser.ExpressionExistsContext ctx)`
Exit a parse tree produced by the `expressionExists` labeled alternative in `SnpSiftParser.expression()`.
`void`
`exitExpressionLogic(SnpSiftParser.ExpressionLogicContext ctx)`
Exit a parse tree produced by the `expressionLogic` labeled alternative in `SnpSiftParser.expression()`.
`void`
`exitExpressionParen(SnpSiftParser.ExpressionParenContext ctx)`
Exit a parse tree produced by the `expressionParen` labeled alternative in `SnpSiftParser.expression()`.
`void`
`exitExpressionPlus(SnpSiftParser.ExpressionPlusContext ctx)`
Exit a parse tree produced by the `expressionPlus` labeled alternative in `SnpSiftParser.expression()`.
`void`
`exitExpressionSet(SnpSiftParser.ExpressionSetContext ctx)`
Exit a parse tree produced by the `expressionSet` labeled alternative in `SnpSiftParser.expression()`.
`void`
`exitExpressionTimes(SnpSiftParser.ExpressionTimesContext ctx)`
Exit a parse tree produced by the `expressionTimes` labeled alternative in `SnpSiftParser.expression()`.
`void`
`exitExpressionUnary(SnpSiftParser.ExpressionUnaryContext ctx)`
Exit a parse tree produced by the `expressionUnary` labeled alternative in `SnpSiftParser.expression()`.
`void`
`exitFunctionCall(SnpSiftParser.FunctionCallContext ctx)`
Exit a parse tree produced by the `functionCall` labeled alternative in `SnpSiftParser.expression()`.
`void`
`exitLiteralBool(SnpSiftParser.LiteralBoolContext ctx)`
Exit a parse tree produced by the `literalBool` labeled alternative in `SnpSiftParser.expression()`.
`void`
`exitLiteralFloat(SnpSiftParser.LiteralFloatContext ctx)`
Exit a parse tree produced by the `literalFloat` labeled alternative in `SnpSiftParser.expression()`.
`void`
`exitLiteralIndex(SnpSiftParser.LiteralIndexContext ctx)`
Exit a parse tree produced by the `literalIndex` labeled alternative in `SnpSiftParser.expression()`.
`void`
`exitLiteralInt(SnpSiftParser.LiteralIntContext ctx)`
Exit a parse tree produced by the `literalInt` labeled alternative in `SnpSiftParser.expression()`.
`void`
`exitLiteralString(SnpSiftParser.LiteralStringContext ctx)`
Exit a parse tree produced by the `literalString` labeled alternative in `SnpSiftParser.expression()`.
`void`
`exitVarReference(SnpSiftParser.VarReferenceContext ctx)`
Exit a parse tree produced by the `varReference` labeled alternative in `SnpSiftParser.expression()`.
`void`
`exitVarReferenceList(SnpSiftParser.VarReferenceListContext ctx)`
Exit a parse tree produced by the `varReferenceList` labeled alternative in `SnpSiftParser.expression()`.
`void`
`exitVarReferenceListSub(SnpSiftParser.VarReferenceListSubContext ctx)`
Exit a parse tree produced by the `varReferenceListSub` labeled alternative in `SnpSiftParser.expression()`.

### Methods inherited from interface org.antlr.v4.runtime.tree.ParseTreeListener

`enterEveryRule, exitEveryRule, visitErrorNode, visitTerminal`

## Method Details

### enterCompilationUnit

void enterCompilationUnit(SnpSiftParser.CompilationUnitContext ctx)
Enter a parse tree produced by `SnpSiftParser.compilationUnit()`.

Parameters:
  `ctx` - the parse tree

### exitCompilationUnit

void exitCompilationUnit(SnpSiftParser.CompilationUnitContext ctx)
Exit a parse tree produced by `SnpSiftParser.compilationUnit()`.

Parameters:
  `ctx` - the parse tree

### enterExpressionSet

void enterExpressionSet(SnpSiftParser.ExpressionSetContext ctx)
Enter a parse tree produced by the `expressionSet` labeled alternative in `SnpSiftParser.expression()`.

Parameters:
  `ctx` - the parse tree

### exitExpressionSet

void exitExpressionSet(SnpSiftParser.ExpressionSetContext ctx)
Exit a parse tree produced by the `expressionSet` labeled alternative in `SnpSiftParser.expression()`.

Parameters:
  `ctx` - the parse tree

### enterLiteralString

void enterLiteralString(SnpSiftParser.LiteralStringContext ctx)
Enter a parse tree produced by the `literalString` labeled alternative in `SnpSiftParser.expression()`.

Parameters:
  `ctx` - the parse tree

### exitLiteralString

void exitLiteralString(SnpSiftParser.LiteralStringContext ctx)
Exit a parse tree produced by the `literalString` labeled alternative in `SnpSiftParser.expression()`.

Parameters:
  `ctx` - the parse tree

### enterExpressionUnary

void enterExpressionUnary(SnpSiftParser.ExpressionUnaryContext ctx)
Enter a parse tree produced by the `expressionUnary` labeled alternative in `SnpSiftParser.expression()`.

Parameters:
  `ctx` - the parse tree

### exitExpressionUnary

void exitExpressionUnary(SnpSiftParser.ExpressionUnaryContext ctx)
Exit a parse tree produced by the `expressionUnary` labeled alternative in `SnpSiftParser.expression()`.

Parameters:
  `ctx` - the parse tree

### enterExpressionComp

void enterExpressionComp(SnpSiftParser.ExpressionCompContext ctx)
Enter a parse tree produced by the `expressionComp` labeled alternative in `SnpSiftParser.expression()`.

Parameters:
  `ctx` - the parse tree

### exitExpressionComp

void exitExpressionComp(SnpSiftParser.ExpressionCompContext ctx)
Exit a parse tree produced by the `expressionComp` labeled alternative in `SnpSiftParser.expression()`.

Parameters:
  `ctx` - the parse tree

### enterLiteralBool

void enterLiteralBool(SnpSiftParser.LiteralBoolContext ctx)
Enter a parse tree produced by the `literalBool` labeled alternative in `SnpSiftParser.expression()`.

Parameters:
  `ctx` - the parse tree

### exitLiteralBool

void exitLiteralBool(SnpSiftParser.LiteralBoolContext ctx)
Exit a parse tree produced by the `literalBool` labeled alternative in `SnpSiftParser.expression()`.

Parameters:
  `ctx` - the parse tree

### enterVarReferenceList

void enterVarReferenceList(SnpSiftParser.VarReferenceListContext ctx)
Enter a parse tree produced by the `varReferenceList` labeled alternative in `SnpSiftParser.expression()`.

Parameters:
  `ctx` - the parse tree

### exitVarReferenceList

void exitVarReferenceList(SnpSiftParser.VarReferenceListContext ctx)
Exit a parse tree produced by the `varReferenceList` labeled alternative in `SnpSiftParser.expression()`.

Parameters:
  `ctx` - the parse tree

### enterLiteralFloat

void enterLiteralFloat(SnpSiftParser.LiteralFloatContext ctx)
Enter a parse tree produced by the `literalFloat` labeled alternative in `SnpSiftParser.expression()`.

Parameters:
  `ctx` - the parse tree

### exitLiteralFloat

void exitLiteralFloat(SnpSiftParser.LiteralFloatContext ctx)
Exit a parse tree produced by the `literalFloat` labeled alternative in `SnpSiftParser.expression()`.

Parameters:
  `ctx` - the parse tree

### enterLiteralIndex

void enterLiteralIndex(SnpSiftParser.LiteralIndexContext ctx)
Enter a parse tree produced by the `literalIndex` labeled alternative in `SnpSiftParser.expression()`.

Parameters:
  `ctx` - the parse tree

### exitLiteralIndex

void exitLiteralIndex(SnpSiftParser.LiteralIndexContext ctx)
Exit a parse tree produced by the `literalIndex` labeled alternative in `SnpSiftParser.expression()`.

Parameters:
  `ctx` - the parse tree

### enterVarReference

void enterVarReference(SnpSiftParser.VarReferenceContext ctx)
Enter a parse tree produced by the `varReference` labeled alternative in `SnpSiftParser.expression()`.

Parameters:
  `ctx` - the parse tree

### exitVarReference

void exitVarReference(SnpSiftParser.VarReferenceContext ctx)
Exit a parse tree produced by the `varReference` labeled alternative in `SnpSiftParser.expression()`.

Parameters:
  `ctx` - the parse tree

### enterVarReferenceListSub

void enterVarReferenceListSub(SnpSiftParser.VarReferenceListSubContext ctx)
Enter a parse tree produced by the `varReferenceListSub` labeled alternative in `SnpSiftParser.expression()`.

Parameters:
  `ctx` - the parse tree

### exitVarReferenceListSub

void exitVarReferenceListSub(SnpSiftParser.VarReferenceListSubContext ctx)
Exit a parse tree produced by the `varReferenceListSub` labeled alternative in `SnpSiftParser.expression()`.

Parameters:
  `ctx` - the parse tree

### enterExpressionTimes

void enterExpressionTimes(SnpSiftParser.ExpressionTimesContext ctx)
Enter a parse tree produced by the `expressionTimes` labeled alternative in `SnpSiftParser.expression()`.

Parameters:
  `ctx` - the parse tree

### exitExpressionTimes

void exitExpressionTimes(SnpSiftParser.ExpressionTimesContext ctx)
Exit a parse tree produced by the `expressionTimes` labeled alternative in `SnpSiftParser.expression()`.

Parameters:
  `ctx` - the parse tree

### enterExpressionExists

void enterExpressionExists(SnpSiftParser.ExpressionExistsContext ctx)
Enter a parse tree produced by the `expressionExists` labeled alternative in `SnpSiftParser.expression()`.

Parameters:
  `ctx` - the parse tree

### exitExpressionExists

void exitExpressionExists(SnpSiftParser.ExpressionExistsContext ctx)
Exit a parse tree produced by the `expressionExists` labeled alternative in `SnpSiftParser.expression()`.

Parameters:
  `ctx` - the parse tree

### enterExpressionPlus

void enterExpressionPlus(SnpSiftParser.ExpressionPlusContext ctx)
Enter a parse tree produced by the `expressionPlus` labeled alternative in `SnpSiftParser.expression()`.

Parameters:
  `ctx` - the parse tree

### exitExpressionPlus

void exitExpressionPlus(SnpSiftParser.ExpressionPlusContext ctx)
Exit a parse tree produced by the `expressionPlus` labeled alternative in `SnpSiftParser.expression()`.

Parameters:
  `ctx` - the parse tree

### enterExpressionLogic

void enterExpressionLogic(SnpSiftParser.ExpressionLogicContext ctx)
Enter a parse tree produced by the `expressionLogic` labeled alternative in `SnpSiftParser.expression()`.

Parameters:
  `ctx` - the parse tree

### exitExpressionLogic

void exitExpressionLogic(SnpSiftParser.ExpressionLogicContext ctx)
Exit a parse tree produced by the `expressionLogic` labeled alternative in `SnpSiftParser.expression()`.

Parameters:
  `ctx` - the parse tree

### enterFunctionCall

void enterFunctionCall(SnpSiftParser.FunctionCallContext ctx)
Enter a parse tree produced by the `functionCall` labeled alternative in `SnpSiftParser.expression()`.

Parameters:
  `ctx` - the parse tree

### exitFunctionCall

void exitFunctionCall(SnpSiftParser.FunctionCallContext ctx)
Exit a parse tree produced by the `functionCall` labeled alternative in `SnpSiftParser.expression()`.

Parameters:
  `ctx` - the parse tree

### enterExpressionParen

void enterExpressionParen(SnpSiftParser.ExpressionParenContext ctx)
Enter a parse tree produced by the `expressionParen` labeled alternative in `SnpSiftParser.expression()`.

Parameters:
  `ctx` - the parse tree

### exitExpressionParen

void exitExpressionParen(SnpSiftParser.ExpressionParenContext ctx)
Exit a parse tree produced by the `expressionParen` labeled alternative in `SnpSiftParser.expression()`.

Parameters:
  `ctx` - the parse tree

### enterExpressionCond

void enterExpressionCond(SnpSiftParser.ExpressionCondContext ctx)
Enter a parse tree produced by the `expressionCond` labeled alternative in `SnpSiftParser.expression()`.

Parameters:
  `ctx` - the parse tree

### exitExpressionCond

void exitExpressionCond(SnpSiftParser.ExpressionCondContext ctx)
Exit a parse tree produced by the `expressionCond` labeled alternative in `SnpSiftParser.expression()`.

Parameters:
  `ctx` - the parse tree

### enterLiteralInt

void enterLiteralInt(SnpSiftParser.LiteralIntContext ctx)
Enter a parse tree produced by the `literalInt` labeled alternative in `SnpSiftParser.expression()`.

Parameters:
  `ctx` - the parse tree

### exitLiteralInt

void exitLiteralInt(SnpSiftParser.LiteralIntContext ctx)
Exit a parse tree produced by the `literalInt` labeled alternative in `SnpSiftParser.expression()`.

Parameters:
  `ctx` - the parse tree